package com.bpa.scalage.HBL.Logs;

import android.util.Log;

public class MessageLog {
    private static IMessageLogNotify MsgNotify;
    private static void Init(){
        MsgNotify = new IMessageLogNotify() {
            @Override
            public void ErrorMsg(String msg) {
                Log.e("错误日志",msg);
            }

            @Override
            public void InfoMsg(String msg) {
                Log.i("信息日志",msg);
            }

            @Override
            public void WarnMsg(String msg) {
                Log.w("警告日志",msg);
            }
        };
    }

    public static void ShowInfo(String msg) {
        if (MsgNotify == null)Init();
        MsgNotify.InfoMsg(msg);
    }

    public static void ShowWarning(String msg) {
        if (MsgNotify == null)Init();
        MsgNotify.WarnMsg(msg);
    }

    public static void ShowError(String msg) {
        if (MsgNotify == null)Init();
        MsgNotify.ErrorMsg(msg);
    }

    public static void ShowError(Exception e) {
        if (MsgNotify == null)Init();
        MsgNotify.ErrorMsg(e.toString());
    }

}
